org.apache.fop.fo.flow.table

## Interface ColumnNumberManagerHolder

- All Known Implementing Classes:
    Table, TableBody, TableCellContainer, TableFooter, TableHeader, TablePart, TableRow

      public interface ColumnNumberManagerHolder

  Marking interface for table-related classes which contain a ColumnNumberManager instance (Table, for registering columns, or TableCellContainer, for managing occupied cells).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnNumberManager` | `getColumnNumberManager()` Returns the encapsulated ColumnNumberManage instance.

- - ### Method Detail

    - #### getColumnNumberManager

          ColumnNumberManager getColumnNumberManager()

      Returns the encapsulated ColumnNumberManage instance.
      Returns:
        a `ColumnNumberManager` instance

Copyright © 2023 Apache Software Foundation. All rights reserved.